{{ define "header" }}
   {{/* We can override any block in the baseof file be defining it in the template */}}
  {{ partial "page-header.html" . }}
{{ end }}

{{ define "main" }}
  {{ $section := .Site.GetPage "section" .Section }}
  <article class="flex-l flex-wrap justify-between mw8 center ph3">
    <header class="mt4 w-100">
      <aside class="instapaper_ignoref b helvetica tracked">
          {{/*
          CurrentSection allows us to use the section title instead of inferring from the folder.
          https://gohugo.io/variables/page/#section-variables-and-methods
          */}}
        {{with .CurrentSection.Title }}~{{. | upper }}{{end}}
      </aside>
      {{ partial "social-share.html" . }}
      <h1 class="f1 athelas mt3 mb1">
        {{- .Title -}}
      </h1>
      {{ with .Params.author | default .Site.Params.author }}
      <p class="tracked">
        {{ $.Render "by" }} <strong>
        {{- if reflect.IsSlice . -}}
            {{ delimit . ", " | markdownify }}
        {{- else -}}
            {{ . | markdownify }}
        {{- end -}}
        </strong>
      </p>
      {{ end }}
      {{/* Hugo uses Go's date formatting is set by example. Here are two formats */}}
      {{ if not .Date.IsZero }}
      <time class="f6 mv4 dib tracked" {{ printf `datetime="%s"` (.Date.Format "2006-01-02T15:04:05Z07:00") | safeHTMLAttr }}>
        {{- .Date | time.Format (default "January 2, 2006" .Site.Params.date_format) -}}
      </time>
      {{end}}

      {{/*
          Show "reading time" and "word count" but only if one of the following are true:
          1) A global config `params` value is set `show_reading_time = true`
          2) A section front matter value is set `show_reading_time = true`
          3) A page front matter value is set `show_reading_time = true`
        */}}
      {{ if (or (eq (.Param "show_reading_time") true) (eq $section.Params.show_reading_time true) )}}
        <span class="f6 mv4 dib tracked"> - {{ i18n "readingTime" .ReadingTime }} </span>
        <span class="f6 mv4 dib tracked"> - {{ i18n "wordCount" .WordCount }} </span>
      {{ end }}
    </header>
    <div class="nested-copy-line-height lh-copy {{ $.Param "post_content_classes"  | default "serif"}} f4 nested-links {{ $.Param "text_color" | default "mid-gray" }} {{ cond (eq $.Site.Language.LanguageDirection "rtl") "pl4-l" "pr4-l" }} w-100">
      {{ $downloads := partial "GetDownloads.html" . }}
      {{ $downloads }}
	  {{- .Content -}}
      {{- partial "tags.html" . -}}
      <div class="mt6 instapaper_ignoref">
      {{ if .Site.DisqusShortname }}
        {{ template "_internal/disqus.html" . }}
      {{ end }}
      {{ if .Site.Params.commentoEnable }}
        {{- partial "commento.html" . -}}
      {{ end }}
      </div>
    </div>

    <aside class="w-30-l mt6-l">
      {{- partial "menu-contextual.html" . -}}
    </aside>

  </article>
{{ end }}
